jQuery(document).ready(function($) {
    function updateNowPlaying() {
        $.ajax({
            url: radioRecordAjax.ajaxurl,
            type: 'POST',
            data: { action: 'radio_record_update' },
            success: function(response) {
                let data = JSON.parse(response);
                if (data.error) {
                    console.error("Ошибка:", data.error);
                    return;
                }

                // Обновляем текущий трек и обложку
                $('#radio-record-artwork').attr('src', data.artwork);
                $('#radio-record-track').text(data.track);

                // Обновляем историю
                let historyHtml = '';
                data.history.forEach(item => {
                    historyHtml += `<li>${item}</li>`;
                });
                $('#radio-record-history').html(historyHtml);
            }
        });
    }

    setInterval(updateNowPlaying, 10000);
    updateNowPlaying();
});
